Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.index
Class FTBuilder

    java.lang.Object
      org.basex.core.Progress
          org.basex.index.IndexBuilder
              org.basex.index.FTBuilder

Direct Known Subclasses:
  FTFuzzyBuilder, FTTrieBuilder

    public abstract class FTBuilder

extends IndexBuilder

This class provides a skeleton for full-text index builders.

Author:
  Workgroup DBIS, University of Konstanz 2005-10, ISC License, Christian Gruen

Method Summary
`void` | `abort()` Aborts a failed or interrupted progress.
`String` | `det()` Returns short information on this process.
`static FTBuilder` | `get(Data d, boolean wild)` Returns a new full-text index builder.

Methods inherited from class org.basex.index.IndexBuilder
`build, prog, tit`

Methods inherited from class org.basex.core.Progress
`checkStop, detail, progress, progress, stop, title`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### get

    public static FTBuilder get(Data d,
                                boolean wild)
                         throws IOException

  Returns a new full-text index builder.

  Parameters:
    `d` - data reference
    `wild` - wildcard index
  Returns:
    index builder
  Throws:
    `IOException` - IOException

### abort

    public void abort()

  Description copied from class: `Progress`
  Aborts a failed or interrupted progress.

  Overrides:
    `abort` in class `Progress`

### det

    public final String det()

  Description copied from class: `Progress`
  Returns short information on this process.

  Overrides:
    `det` in class `Progress`
  Returns:
    header information

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD